Add support for symfony2.2 components #37

Merged
merged 1 commit into from Feb 15, 2013

Conversation

Projects
None yet
2 participants
Contributor

tommygnr commented Feb 14, 2013

The constructor method signature for
Symfony\Component\Validator\Validator has changed in symfony2.2.
It now requires an instance of
Symfony\Component\Translation\TranslatorInterface which will break
in symfony2.1
Hence we sniff for the existence of the class(ugly, but I don't see
another way unless you maintain separate branches but that seems silly for something that isn't a symfony bundle)
Also update composer.json to allow symfony > 2.1

All tests pass when using symfony components 2.1 and 2.2

Comments welcome

Add support for symfony2.2 components
The constructor method signature for
Symfony\Component\Validator\Validator has changed.
It now requires an instance of
Symfony\Component\Translation\TranslatorInterface which doesn't exist
in symfony2.1
Hence we sniff for the existence of the class(ugly, but I don't see
another way)
Also update composer.json to allow symfony > 2.1

mvriel added a commit that referenced this pull request Feb 15, 2013

Merge pull request #37 from tommygnr/symfony2.2-support
Add support for symfony2.2 components

@mvriel mvriel merged commit dc77c61 into Cilex:master Feb 15, 2013

1 check passed

default The Travis build passed
Details

@tommygnr tommygnr deleted the tommygnr:symfony2.2-support branch Mar 12, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment